﻿using Microsoft.EntityFrameworkCore.Migrations;

using System;

namespace MyBlog.Entity.Migrations
{
    public partial class Initial : Migration
    {
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.CreateTable(
                name: "TypeInfo",
                columns: table => new
                {
                    Id = table.Column<int>(type: "int", nullable: false)
                        .Annotation("SqlServer:Identity", "1, 1"),
                    Name = table.Column<string>(type: "nvarchar(12)", nullable: true)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_TypeInfo", x => x.Id);
                });

            migrationBuilder.CreateTable(
                name: "WriterInfo",
                columns: table => new
                {
                    Id = table.Column<int>(type: "int", nullable: false)
                        .Annotation("SqlServer:Identity", "1, 1"),
                    Name = table.Column<string>(type: "nvarchar(12)", nullable: true),
                    UserName = table.Column<string>(type: "nvarchar(16)", nullable: true),
                    UserPwd = table.Column<string>(type: "nvarchar(64)", nullable: true)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_WriterInfo", x => x.Id);
                });

            migrationBuilder.CreateTable(
                name: "BlogNews",
                columns: table => new
                {
                    Id = table.Column<int>(type: "int", nullable: false)
                        .Annotation("SqlServer:Identity", "1, 1"),
                    Title = table.Column<string>(type: "nvarchar(30)", nullable: true),
                    Content = table.Column<string>(type: "nvarchar(max)", nullable: true),
                    Time = table.Column<DateTime>(type: "datetime2", nullable: false),
                    BrowseCount = table.Column<int>(type: "int", nullable: false),
                    LikeCount = table.Column<int>(type: "int", nullable: false),
                    TypeId = table.Column<int>(type: "int", nullable: false),
                    WriterId = table.Column<int>(type: "int", nullable: false),
                    TypeInfoId = table.Column<int>(type: "int", nullable: true),
                    WriterInfoId = table.Column<int>(type: "int", nullable: true)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_BlogNews", x => x.Id);
                    table.ForeignKey(
                        name: "FK_BlogNews_TypeInfo_TypeInfoId",
                        column: x => x.TypeInfoId,
                        principalTable: "TypeInfo",
                        principalColumn: "Id",
                        onDelete: ReferentialAction.Restrict);
                    table.ForeignKey(
                        name: "FK_BlogNews_WriterInfo_WriterInfoId",
                        column: x => x.WriterInfoId,
                        principalTable: "WriterInfo",
                        principalColumn: "Id",
                        onDelete: ReferentialAction.Restrict);
                });

            migrationBuilder.CreateIndex(
                name: "IX_BlogNews_TypeInfoId",
                table: "BlogNews",
                column: "TypeInfoId");

            migrationBuilder.CreateIndex(
                name: "IX_BlogNews_WriterInfoId",
                table: "BlogNews",
                column: "WriterInfoId");
        }

        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropTable(
                name: "BlogNews");

            migrationBuilder.DropTable(
                name: "TypeInfo");

            migrationBuilder.DropTable(
                name: "WriterInfo");
        }
    }
}