﻿using Microsoft.EntityFrameworkCore.Migrations;

namespace MyBlog.Entity.Migrations
{
    public partial class ForeignKey : Migration
    {
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_BlogNews_TypeInfo_TypeInfoId",
                table: "BlogNews");

            migrationBuilder.DropForeignKey(
                name: "FK_BlogNews_WriterInfo_WriterInfoId",
                table: "BlogNews");

            migrationBuilder.DropIndex(
                name: "IX_BlogNews_TypeInfoId",
                table: "BlogNews");

            migrationBuilder.DropIndex(
                name: "IX_BlogNews_WriterInfoId",
                table: "BlogNews");

            migrationBuilder.DropColumn(
                name: "TypeInfoId",
                table: "BlogNews");

            migrationBuilder.DropColumn(
                name: "WriterInfoId",
                table: "BlogNews");

            migrationBuilder.CreateIndex(
                name: "IX_BlogNews_TypeId",
                table: "BlogNews",
                column: "TypeId",
                unique: true);

            migrationBuilder.CreateIndex(
                name: "IX_BlogNews_WriterId",
                table: "BlogNews",
                column: "WriterId",
                unique: true);

            migrationBuilder.AddForeignKey(
                name: "FK_BlogNews_TypeInfo_TypeId",
                table: "BlogNews",
                column: "TypeId",
                principalTable: "TypeInfo",
                principalColumn: "Id",
                onDelete: ReferentialAction.Cascade);

            migrationBuilder.AddForeignKey(
                name: "FK_BlogNews_WriterInfo_WriterId",
                table: "BlogNews",
                column: "WriterId",
                principalTable: "WriterInfo",
                principalColumn: "Id",
                onDelete: ReferentialAction.Cascade);
        }

        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_BlogNews_TypeInfo_TypeId",
                table: "BlogNews");

            migrationBuilder.DropForeignKey(
                name: "FK_BlogNews_WriterInfo_WriterId",
                table: "BlogNews");

            migrationBuilder.DropIndex(
                name: "IX_BlogNews_TypeId",
                table: "BlogNews");

            migrationBuilder.DropIndex(
                name: "IX_BlogNews_WriterId",
                table: "BlogNews");

            migrationBuilder.AddColumn<int>(
                name: "TypeInfoId",
                table: "BlogNews",
                type: "int",
                nullable: true);

            migrationBuilder.AddColumn<int>(
                name: "WriterInfoId",
                table: "BlogNews",
                type: "int",
                nullable: true);

            migrationBuilder.CreateIndex(
                name: "IX_BlogNews_TypeInfoId",
                table: "BlogNews",
                column: "TypeInfoId");

            migrationBuilder.CreateIndex(
                name: "IX_BlogNews_WriterInfoId",
                table: "BlogNews",
                column: "WriterInfoId");

            migrationBuilder.AddForeignKey(
                name: "FK_BlogNews_TypeInfo_TypeInfoId",
                table: "BlogNews",
                column: "TypeInfoId",
                principalTable: "TypeInfo",
                principalColumn: "Id",
                onDelete: ReferentialAction.Restrict);

            migrationBuilder.AddForeignKey(
                name: "FK_BlogNews_WriterInfo_WriterInfoId",
                table: "BlogNews",
                column: "WriterInfoId",
                principalTable: "WriterInfo",
                principalColumn: "Id",
                onDelete: ReferentialAction.Restrict);
        }
    }
}