﻿using Microsoft.EntityFrameworkCore.Migrations;

namespace MyBlog.Entity.Migrations
{
    public partial class ChangeBlogNewsAndTypeInfoRelationships : Migration
    {
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_BlogNews_TypeInfo_TypeId",
                table: "BlogNews");

            migrationBuilder.DropIndex(
                name: "IX_BlogNews_TypeId",
                table: "BlogNews");

            migrationBuilder.DropColumn(
                name: "TypeId",
                table: "BlogNews");

            migrationBuilder.AddColumn<int>(
                name: "BlogNewsId",
                table: "TypeInfo",
                type: "int",
                nullable: false,
                defaultValue: 0);

            migrationBuilder.CreateIndex(
                name: "IX_TypeInfo_BlogNewsId",
                table: "TypeInfo",
                column: "BlogNewsId");

            migrationBuilder.AddForeignKey(
                name: "FK_TypeInfo_BlogNews_BlogNewsId",
                table: "TypeInfo",
                column: "BlogNewsId",
                principalTable: "BlogNews",
                principalColumn: "Id",
                onDelete: ReferentialAction.Cascade);
        }

        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_TypeInfo_BlogNews_BlogNewsId",
                table: "TypeInfo");

            migrationBuilder.DropIndex(
                name: "IX_TypeInfo_BlogNewsId",
                table: "TypeInfo");

            migrationBuilder.DropColumn(
                name: "BlogNewsId",
                table: "TypeInfo");

            migrationBuilder.AddColumn<int>(
                name: "TypeId",
                table: "BlogNews",
                type: "int",
                nullable: false,
                defaultValue: 0);

            migrationBuilder.CreateIndex(
                name: "IX_BlogNews_TypeId",
                table: "BlogNews",
                column: "TypeId",
                unique: true);

            migrationBuilder.AddForeignKey(
                name: "FK_BlogNews_TypeInfo_TypeId",
                table: "BlogNews",
                column: "TypeId",
                principalTable: "TypeInfo",
                principalColumn: "Id",
                onDelete: ReferentialAction.Cascade);
        }
    }
}