﻿using Microsoft.EntityFrameworkCore.Migrations;

namespace MyBlog.Entity.Migrations
{
    public partial class ChangeBlogNewsAndTypeInfoRelationshipsToOne : Migration
    {
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropTable(
                name: "BlogNewsTypeInfo");

            migrationBuilder.AddColumn<int>(
                name: "TypeInfoId",
                table: "BlogNews",
                type: "int",
                nullable: false,
                defaultValue: 0);

            migrationBuilder.CreateIndex(
                name: "IX_BlogNews_TypeInfoId",
                table: "BlogNews",
                column: "TypeInfoId");

            migrationBuilder.AddForeignKey(
                name: "FK_BlogNews_TypeInfo_TypeInfoId",
                table: "BlogNews",
                column: "TypeInfoId",
                principalTable: "TypeInfo",
                principalColumn: "Id",
                onDelete: ReferentialAction.Cascade);
        }

        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_BlogNews_TypeInfo_TypeInfoId",
                table: "BlogNews");

            migrationBuilder.DropIndex(
                name: "IX_BlogNews_TypeInfoId",
                table: "BlogNews");

            migrationBuilder.DropColumn(
                name: "TypeInfoId",
                table: "BlogNews");

            migrationBuilder.CreateTable(
                name: "BlogNewsTypeInfo",
                columns: table => new
                {
                    BlogsId = table.Column<int>(type: "int", nullable: false),
                    TypeInfosId = table.Column<int>(type: "int", nullable: false)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_BlogNewsTypeInfo", x => new { x.BlogsId, x.TypeInfosId });
                    table.ForeignKey(
                        name: "FK_BlogNewsTypeInfo_BlogNews_BlogsId",
                        column: x => x.BlogsId,
                        principalTable: "BlogNews",
                        principalColumn: "Id",
                        onDelete: ReferentialAction.Cascade);
                    table.ForeignKey(
                        name: "FK_BlogNewsTypeInfo_TypeInfo_TypeInfosId",
                        column: x => x.TypeInfosId,
                        principalTable: "TypeInfo",
                        principalColumn: "Id",
                        onDelete: ReferentialAction.Cascade);
                });

            migrationBuilder.CreateIndex(
                name: "IX_BlogNewsTypeInfo_TypeInfosId",
                table: "BlogNewsTypeInfo",
                column: "TypeInfosId");
        }
    }
}
