﻿using Microsoft.AspNetCore.Identity.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore;

using MyBlog.Model;

namespace MyBlog.Entity
{
    public class MyContext : IdentityDbContext
    {
        public MyContext()
        {
        }

        public MyContext(DbContextOptions<MyContext> options) : base(options)
        {
        }

        public DbSet<BlogNews> BlogNews { get; set; }
        public DbSet<TypeInfo> TypeInfo { get; set; }
        public DbSet<WriterInfo> WriterInfo { get; set; }
        public DbSet<RefreshToken> RefreshTokens { get; set; }

        protected override void OnConfiguring(DbContextOptionsBuilder optionsBuilder)
        {
            if (!optionsBuilder.IsConfigured)
            {
                optionsBuilder.UseSqlServer("Data Source=10.201.6.50;Initial Catalog=test;Persist Security Info=True;User ID=erpdba;Password=s@fe201Oen0ugh");
            }
        }

        protected override void OnModelCreating(ModelBuilder modelBuilder)
        {
            modelBuilder.Entity<BlogNews>()
                .HasOne(x => x.TypeInfo)
                .WithMany(y => y.Blogs)
                .HasForeignKey(z => z.TypeInfoId);

            modelBuilder.Entity<BlogNews>()
                .HasOne(x => x.WriterInfo)
                .WithOne(y => y.BlogNews)
                .HasForeignKey<BlogNews>(x => x.WriterId);

            modelBuilder.Entity<RefreshToken>(entity =>
            {
                entity.HasOne(x => x.WriterInfo)
                .WithMany(y => y.RefreshToken)
                .HasForeignKey(z => z.UserId);
            });

            base.OnModelCreating(modelBuilder);
        }
    }
}