﻿using System;
using System.Collections.Generic;
using System.Linq.Expressions;
using System.Threading.Tasks;

namespace MyBlog.IService
{
    public interface IBaseService<TEntity> where TEntity : class, new()
    {
        Task<TEntity> CreateAsync(TEntity entity);

        Task<TEntity> DeleteAsync(TEntity entity);

        Task<TEntity> EditAsync(TEntity entity);

        Task<TEntity> FindAsync(int id);

        Task<TEntity> FindAsync(Expression<Func<TEntity, bool>> func);

        Task<List<TEntity>> QueryAsync();

        Task<List<TEntity>> QueryAsync(Expression<Func<TEntity, bool>> func);

        Task<List<TEntity>> QueryAsync(int page, int size);

        Task<List<TEntity>> QueryAsync(Expression<Func<TEntity, bool>> func, int page, int size);
    }
}