﻿using Microsoft.EntityFrameworkCore;

using MyBlog.Entity;
using MyBlog.IRepository;
using MyBlog.Model;

using System;
using System.Collections.Generic;
using System.Linq;
using System.Linq.Expressions;
using System.Threading.Tasks;

namespace MyBlog.Repository
{
    public class TypeInfoRepository : BaseRepository<TypeInfo>, ITypeInfoRepository
    {
        private readonly MyContext _myContext;
        private readonly DbSet<TypeInfo> _typeInfos;

        public TypeInfoRepository(MyContext context) : base(context)
        {
            _myContext = context;
            _typeInfos = context.TypeInfo;
        }

        public override async Task<List<TypeInfo>> QueryAsync()
        {
            return await _typeInfos.Include(x => x.Blogs).ToListAsync();
        }

        public override async Task<List<TypeInfo>> QueryAsync(Expression<Func<TypeInfo, bool>> func)
        {
            return await _typeInfos.Where(func).Include(x => x.Blogs).ToListAsync();
        }
    }
}