﻿using MyBlog.Model.DTO;
using MyBlog.Model.JWT;
using MyBlog.Shared.ApiResult;

using System;
using System.Net.Http.Json;

namespace MyBlog.Client.Pages.Login
{
    public partial class Login
    {
        private LoginDTO model = new LoginDTO();
        private bool isLoading;

        private async void OnValidSubmit()
        {
            isLoading = true;

            try
            {
                var response = await Http.PostAsJsonAsync($"api/Authorize/Login", model);

                var result = await response.Content.ReadFromJsonAsync<ApiResponse<AuthResult>>();

                if (result.Status == "200")
                {
                    if (result.Data.Success)
                    {
                        await Common.SetStorageAsync("token", result.Data.Token);
                        await Common.SetStorageAsync("refresh_token", result.Data.RefreshToken);
                        await Common.SetStorageAsync("Author", result.Data.Name);

                        await Common.NavigateTo("/admin");
                    }
                    else
                    {
                        Console.WriteLine(result.Data.Errors);
                    }
                }
                else
                {
                    Console.WriteLine(result.Message);
                }
            }
            catch (Exception e)
            {
                Console.WriteLine(e.Message);
            }

            isLoading = false;
        }
    }
}