﻿using Microsoft.AspNetCore.Components;

using MyBlog.Model.DTO;
using MyBlog.Shared.ApiResult;

using System;
using System.Net.Http.Json;
using System.Threading.Tasks;

namespace MyBlog.Client.Pages.Posts
{
    public partial class Post
    {
        [Parameter]
        public string id { get; set; }

        private BlogNewsDetailDTO blogNewsDetail;

        protected override async Task OnInitializedAsync()
        {
            var result = await Http.GetFromJsonAsync<ApiResponse<BlogNewsDetailDTO>>($"api/BlogNews/GetBlogNewsDetail?id={id}");

            if (result.Status != "200")
            {
                blogNewsDetail = new BlogNewsDetailDTO();
                Console.WriteLine(result.Message);
                return;
            }

            blogNewsDetail = result.Data;

            await Common.InvokeAsync("window.markdown.renderMarkdown");
        }
    }
}