﻿using Microsoft.AspNetCore.Components;

using MyBlog.Model.DTO;
using MyBlog.Shared.ApiResult;

using System;
using System.Collections.Generic;
using System.Linq;
using System.Net.Http.Json;
using System.Threading.Tasks;

namespace MyBlog.Client.Pages.Posts
{
    public partial class Posts
    {
        [Parameter]
        public int? page { get; set; }

        private int Limit = 15;

        private int TotalPage;

        private List<BlogNewsDTO> blogNews;

        protected async override Task OnInitializedAsync()
        {
            page = page.HasValue ? page : 1;

            await RenderPage(page);
        }

        /// <summary>
        /// 初始化完成之后执行，点击posts链接刷新页面
        /// </summary>
        /// <returns></returns>
        protected override async Task OnParametersSetAsync()
        {
            if (!page.HasValue)
            {
                page = 1;
                await RenderPage(page);
            }
        }

        private async Task RenderPage(int? page)
        {
            var result = await Http.GetFromJsonAsync<ApiResponse<IEnumerable<BlogNewsDTO>>>($"/api/BlogNews/GetBlogNewsPage?page={page}&size={Limit}");

            if (result.Status != "200")
            {
                Console.WriteLine($"{result.Message}");
                return;
            }

            var data = result.Data;

            blogNews = data.ToList();
            TotalPage = data.Count() / Limit;
        }
    }
}