﻿using Microsoft.AspNetCore.Components;

using MyBlog.Model.DTO;
using MyBlog.Shared.ApiResult;

using System;
using System.Collections.Generic;
using System.Linq;
using System.Net.Http.Json;
using System.Threading.Tasks;

namespace MyBlog.Client.Pages.Posts
{
    public partial class Tag
    {
        [Parameter]
        public string Id { get; set; }

        private string tagName;

        private List<BlogNewsDTO> blogNews;

        protected override async Task OnInitializedAsync()
        {
            var result = await Http.GetFromJsonAsync<ApiResponse<IEnumerable<BlogNewsDTO>>>($"api/BlogNews/GetBlogNewsByTypeInfoId?id={Id}");

            if (result.Status != "200" || result.Status == "200" && !result.Data.Any())
            {
                blogNews = new List<BlogNewsDTO>();
                tagName = string.Empty;
                Console.WriteLine(result.Message);
                return;
            }

            blogNews = result.Data.ToList();
            tagName = result.Data.FirstOrDefault().Name;
        }
    }
}