﻿using Microsoft.AspNetCore.Components;

using MyBlog.Model.DTO;
using MyBlog.Shared.ApiResult;

using System;
using System.Collections.Generic;
using System.Linq;
using System.Net.Http.Json;
using System.Threading.Tasks;

namespace MyBlog.Client.Pages.Posts
{
    public partial class Writer
    {
        [Parameter]
        public string Id { get; set; }

        private string writer;

        private List<BlogNewsDTO> blogNews;

        protected override async Task OnInitializedAsync()
        {
            var result = await Http.GetFromJsonAsync<ApiResponse<IEnumerable<BlogNewsDTO>>>($"api/BlogNews/GetBlogNewsByWriterId?id={Id}");

            if (result.Status != "200" || result.Status == "200" && !result.Data.Any())
            {
                blogNews = new List<BlogNewsDTO>();
                writer = string.Empty;
                Console.WriteLine(result.Message);
                return;
            }

            blogNews = result.Data.ToList();
            writer = result.Data.FirstOrDefault().Name;
        }
    }
}