﻿using MyBlog.Model.DTO;
using MyBlog.Shared.ApiResult;

using System;
using System.Collections.Generic;
using System.Linq;
using System.Net.Http.Json;
using System.Threading.Tasks;

namespace MyBlog.Client.Pages.Writers
{
    public partial class Writers
    {
        private List<WriterInfoDTO> writers;

        protected override async Task OnInitializedAsync()
        {
            var result = await Http.GetFromJsonAsync<ApiResponse<IEnumerable<WriterInfoDTO>>>("api/WriterInfo/GetAllWriters");

            if (result.Status != "200")
            {
                writers = new List<WriterInfoDTO>();
                Console.WriteLine(result.Message);
                return;
            }

            writers = result.Data.ToList();
        }
    }
}