﻿using MyBlog.Client.Commons;

using System.Threading.Tasks;

namespace MyBlog.Client.Shared
{
    public partial class Header
    {
        public bool CollapseNavMenu = false;

        private string NavMenuCssClass => CollapseNavMenu ? "active" : null;

        private void ToggleNavMenu() => CollapseNavMenu = !CollapseNavMenu;

        private string CurrentTheme;

        protected override async Task OnInitializedAsync()
        {
            CurrentTheme = await Common.GetStorageAsync("theme") ?? "Light";
            await Common.InvokeAsync("window.func.switchTheme");
        }

        private async Task SwitchTheme()
        {
            CurrentTheme = CurrentTheme == "Light" ? "Dark" : "Light";

            await Common.SetStorageAsync("theme", CurrentTheme);
            await Common.InvokeAsync("window.func.switchTheme");

            var uri = await Common.CurrentUri();
            if (uri.AbsolutePath.StartsWith("/admin/post"))
            {
                await Common.SwitchEditorTheme(CurrentTheme);
            }
        }
    }
}