﻿namespace MyBlog.Shared.Utility.ApiResult
{
    public class ApiResult
    {
        public string Status { get; set; }
        public string Message { get; set; }
        public object Data { get; set; }

        public ApiResult(ResultCode resultCode)
        {
            Status = resultCode.GetValue<int>().ToString();
            Message = resultCode.GetAttributeValue();
        }

        public ApiResult(ResultCode resultCode, object rtnData = null)
        {
            Status = resultCode.GetValue<int>().ToString();
            Message = resultCode.GetAttributeValue();
            Data = rtnData ?? string.Empty;
        }

        public ApiResult(string responseCode, string responseMessage, object rtnData = null)
        {
            Status = responseCode;
            Message = responseMessage;
            Data = rtnData ?? string.Empty;
        }

        public ApiResult(ResultCode resultCode, string responseMessage, object rtnData = null)
        {
            Status = resultCode.GetValue<int>().ToString();
            Message = responseMessage;
            Data = rtnData ?? string.Empty;
        }
    }
}