﻿namespace MyBlog.Shared.Utility.ApiResult
{
    public enum ResultCode
    {
        [Desc("成功")]
        SUCCESS = 200,

        [Desc("失败")]
        FALL = 9999,

        [Desc("未认证(签名错误)")]
        UNAUTHORIZED = 9001,

        [Desc("查询无记录")]
        NO_RECORD = 9002,

        [Desc("缺少必须的请求参数")]
        REQUEST_PARAM_ERROR = 9003,

        [Desc("找不到相关请求")]
        NOT_FOUND = 404,

        [Desc("服务器内部错误")]
        INTERNAL_SERVER_ERROR = 500,

        [Desc("权限不足")]
        ACCESS_DENIED = 4301,

        [Desc("用户名不存在")]
        LOGIN_NAME_ERROR = 4302,

        [Desc("密码错误")]
        LOGIN_PASSWORD_ERROR = 4304,

        [Desc("不合法的token验证")]
        AUTH_HEADER_ERROR = 4305,

        [Desc("无token信息，访问当前资源请先登录")]
        TOKEN_NEEDED = 4306,

        [Desc("token已过期，请重新登录")]
        TOKEN_EXPIRED = 4307,

        [Desc("token已被刷新，用户在其他地方登录")]
        TOKEN_REFRESHED = 4308,

        [Desc("用户已在其他设备登录")]
        ALREADY_LOGIN = 4309,
    }
}