﻿using System;
using System.Globalization;

namespace MyBlog.Shared.Extensions
{
    public static class ConvertExtensions
    {
        public static string TryToDateTime(this DateTime date, string formater = "MMMM dd,yyyy HH:mm:ss", string cultureInfo = "en-us")
        {
            return date.ToString(formater, new CultureInfo(cultureInfo));
        }

        public static DateTime UnixTimeStampToDateTime(this long unixTimeStamp)
        {
            var dateTimeVal = new DateTime(1970, 1, 1, 0, 0, 0, 0, DateTimeKind.Utc);
            dateTimeVal = dateTimeVal.AddSeconds(unixTimeStamp).ToUniversalTime();
            return dateTimeVal;
        }
    }
}